<transition name="fade" v-if="load=='true'">
	<div class="information-block">
	<LeftMenu :dataTransfer="data"></LeftMenu>
	<section class="information-block-cont">
		<h1 class="information-block-title">{{page.title.rendered}}</h1>
		<div class="search">
			<input type="text" v-model="query" class="searchinput" placeholder="Поиск по раскрытию информации">
		</div>
		<transition-group name="fade" v-if="readyContent == 'true' && resultsReady == 'true' && results.length > 0">
			
			<div class="category" v-for="cat in results" :key="cat.id" v-if="cat" >
				<h2 v-html="cat.description"></h2>
				<div class="" v-for="item in cat.content" :key="item.id" v-if="item">
					<div class="info-title" v-html="item.title.rendered"></div>
					<div class="info-values" v-if="item.values">
						<div class="info" v-for="value in item.values" v-if="value">
							<div class="info-block">
								<div class="info-cont">
									<div class="info-content" v-html="value.value" ></div>
									<div class="info-date" v-if="value.date_open != ''"><div>Дата раскрытия: {{value.date_open}}</div><div class="">Актуально c {{value.date_from}} до <span v-if="value.date_to && value.date_to != ''">{{value.date_to}}</span><span v-else>{{value.text_to}}</span></div></div>
								</div>
							</div>
						</div>
					</div>
					<div class="info-values" v-else>
						<div class="info">
							<div class="info-block">
								<div class="info-cont">
									<div class="info-content">Отсутствует</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</transition-group> 
		<div v-else>
			<h2>К сожалению, ничего не найдено. Попробуй изменить условия поиска</h2>
		</div>
	</section>
</div>
</transition>